Distribution
Accept the agreement
Accept the exact current agreement version and digest (CLI credential, maps:read)
POST
/
api
/
v1
/
distribution
/
license
/
accept
Accept the agreement
curl --request POST \
--url https://dev.simforge.ai/api/v1/distribution/license/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreementVersion": "<string>",
"agreementSha256": "<string>"
}
'import requests
url = "https://dev.simforge.ai/api/v1/distribution/license/accept"
payload = {
"agreementVersion": "<string>",
"agreementSha256": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agreementVersion: '<string>', agreementSha256: '<string>'})
};
fetch('https://dev.simforge.ai/api/v1/distribution/license/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"schema": "simforge.distribution-acceptance/v1",
"agreementVersion": "<string>",
"agreementSha256": "<string>",
"acceptedAt": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
Body
application/json
⌘I
Accept the agreement
curl --request POST \
--url https://dev.simforge.ai/api/v1/distribution/license/accept \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"agreementVersion": "<string>",
"agreementSha256": "<string>"
}
'import requests
url = "https://dev.simforge.ai/api/v1/distribution/license/accept"
payload = {
"agreementVersion": "<string>",
"agreementSha256": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agreementVersion: '<string>', agreementSha256: '<string>'})
};
fetch('https://dev.simforge.ai/api/v1/distribution/license/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"schema": "simforge.distribution-acceptance/v1",
"agreementVersion": "<string>",
"agreementSha256": "<string>",
"acceptedAt": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}